#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, k, x;
    cin>>n>>k;
    unordered_map<int, int> m;
    vector<int> a;
    for(int i=0;i<n;i++){
        cin>>x;
        m[x]++;
    }
    for(auto it = m.begin(); it!=m.end(); ++it)
        if(it->second>=k) a.push_back(it->first);

    cout<<a.size()<<endl;
    for(x : a){
        cout<<x<<' ';
    }
    return 0;
}